---
layout: article.njk
title: Einrichtung Captive Portal Check
service: connectivitycheck
tags:
  - Tutorial
  - Captive Portal Check
---

# Einrichtung Captive Portal Check

In diesem Artikel erfährst du wie du einen eigenen Captive Portal Check in verschiedenen Umgebungen einrichten kannst.

## Android

Um den Captive Portal Check in Android zu ändern, benötigt man eine Terminal-App oder eine Verbindung über ADB zu einem Computer.

Nun können die folgenden Befehle mit der jeweiligen Methode ausgeführt werden, um `http` zu verwenden:

```
# settings put global captive_portal_use_https 0
# settings put global captive_portal_http_url "http://connectivitycheck.sp-codes.de/generate204"
```


Um `https` zu verwenden, müssen die beiden folgenden Befehle genutzt werden:


```
# settings put global captive_portal_use_https 1
# settings put global captive_portal_https_url "https://connectivitycheck.sp-codes.de/generate204"
```

Eventuell musst du dein Gerät anschließend neu starten.

Wenn du AFWall+ verwendest, musst du _[1000] Android-System_ und eventuell _[10040] CaptivePortalLogin_ Internetzugriff gewähren.

## Ubuntu

Unter Ubuntu muss die Datei `/etc/NetworkManager/NetworkManager.conf` geändert werden. Füge die folgenden Zeilen hinzu oder passe sie entsprechend an:

```
[connectivity]
uri=https://connectivitycheck.sp-codes.de/generate204
```

Starte den _network-manager_ neu:

```
sudo service network-manager restart
```

## Fedora

Unter Fedora muss die Datei `/etc/NetworkManager/NetworkManager.conf` geändert werden. Füge die folgenden Zeilen hinzu oder passe sie entsprechend an:

```
[connectivity]
uri=https://connectivitycheck.sp-codes.de/generate204
```

Starte den _NetworkManager_ neu:

```
sudo service NetworkManager restart 
```

## Firefox

Tippe [about:config](about:config) in die Adresszeile von Firefox und suche anschließend nach `captivedetect.canonicalURL` und `network.connectivity-service`. Setze die URL-Werte auf `https://connectivitycheck.sp-codes.de/generate204`, die Domain-Werte auf `connectivitycheck.sp-codes.de`. Das war es schon.
